/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#ifndef CX_H
#define CX_H

#include <exec/lists.h>

/* We will maintain a list of Tools as the main global state of this
   commodity. The name of each Tool (ie. menu item) will be stored in
   node.ln_Name. */
typedef struct {
    struct Node node;
    char *path;
    struct AppMenuItem *menu_item;
} Tool;

extern struct List *tools;

void cx_set_up(void);
Tool *cx_add_tool(char *name, char *path);
Tool *cx_modify_tool(Tool *, char *name, char *path);
void cx_enable(void);
void cx_disable(void);
void cx_show(void);
void cx_hide(void);
void cx_save_tools(void);
void cx_about(void);
void cx_quit(void);
void cx_clean_up(void);

#endif
