/*
ToolsMenu - Add tools to the Workbench Tools menu

Copyright (C) 2015, 2018  Kim Fastrup Larsen

This program is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation, either ver-
sion 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be use-
ful, but WITHOUT ANY WARRANTY; without even the implied war-
ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public Li-
cense along with this program. If not, see
<http://www.gnu.org/licenses/>.

The author can be contacted on <kimflarsen@hotmail.com>
*/

#include <intuition/intuition.h>

#include <clib/intuition_protos.h>

#ifdef USE_PRAGMAS
#include <proto/intuition.h>
#endif

#define CATCOMP_NUMBERS

#include "catalog.h"
#include "common.h"
#include "error.h"
#include "strings.h"

extern struct IntuitionBase *IntuitionBase;

void error_message(char *fmt, char *arg)
{
    static struct EasyStruct easy_struct = {
        sizeof(struct EasyStruct), 0, APP_NAME
    };

    if (IntuitionBase == NULL)
        return;
    easy_struct.es_TextFormat = fmt;
    easy_struct.es_GadgetFormat = get_string(MSG_GAD_CONTINUE);
    EasyRequestArgs(NULL, &easy_struct, NULL, &arg);
}
